from django import template

register = template.Library()


@register.filter
def unicode_safe(values):
    if isinstance(values, unicode):
        return values.encode('utf-8')
    elif isinstance(values, list):
        return [str(x) for x in values]
    return values
