function getCertifications()
{
    var xmlhttp;
    xmlhttp=new XMLHttpRequest();
    xmlhttp.onreadystatechange=function(){
      if (xmlhttp.readyState==4 && xmlhttp.status==200){
            loadCertifications(xmlhttp);
      }
    }
    xmlhttp.open("GET", "/certifications", true);
    xmlhttp.setRequestHeader("Accept", "application/json");
    xmlhttp.send();
}
function loadCertifications(xmlhttp)
{
    var certificationsJson = JSON.parse(xmlhttp.responseText);
    var table = document.getElementById("certifications-json");
    for(var j=0; j<certificationsJson.length; j++) {
        var certification = certificationsJson[j];
        var row = table.insertRow(-1);
        for(var key in certification){
            if (certification.hasOwnProperty(key)){
                var value=certification[key];
                var cell = row.insertCell(-1);
                cell.innerHTML = value
            }
        }
    }
}