

class Labels:
    rpath = u"rpath"
    systems = u"systems"
    system = u"system"

def getLabelsDictionary(request):
    """ django context processor to make labels visible in templates """
    labels = Labels()
    return dict(("Labels_" + name, getattr(labels, name)) for name in dir(labels) if not name.startswith('__'))