from django.http import HttpResponse
from wsgi.connection import Connection
from wsgi.alert import Alert
from wsgi.api.api import API
from rhcert.services.release_notes import ReleaseNote

class ReleaseNotesAPI(API):
    """ User login/logout """

    def __init__(self):
        API.__init__(self)
        self.loginRequired = False

    def supportedMethods(self): return [API.GET]

    # Get the release notes.
    def get(self):
        self.data["releaseNotes"] = ReleaseNote().getAll()
        return self.data