<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:param name="udi" select="'all'"/>
    
    <xsl:template match="@*|node()">
	   <xsl:copy>
	     <xsl:apply-templates select="@*|node()"/>
	   </xsl:copy>
	</xsl:template>
	
	<xsl:template match="/certification-test/device">
		<xsl:choose>
	    	<xsl:when test="$udi = 'all'">
		    	<xsl:copy>
		     		<xsl:apply-templates select="@*|node()"/>
		   		</xsl:copy>
	    	</xsl:when>
	    	<xsl:otherwise>
		    	<xsl:if test="contains(@udi, $udi)">
			        <xsl:copy>
			     		<xsl:apply-templates select="@*|node()"/>
			   		</xsl:copy>
	    		</xsl:if>
	    	</xsl:otherwise>
	    </xsl:choose>
	</xsl:template>
	
	<xsl:template match="/certification-test/test">
	    <!--  hide tests -->
	</xsl:template>
	
	<xsl:include href="filter.xsl"></xsl:include>
	
</xsl:stylesheet>


